Este error aparece cuando intento ejecutar un comando vue init webpack.

Vue-cli · No se pudo descargar el repositorio vuejs-templates / simple: no se pudo verificar el primer certificado

Por favor ayuda! Quiero proceder y aprender vue.

¡Gracias de antemano!

3
mojoe 28 feb. 2018 a las 06:15

3 respuestas

La mejor respuesta

También puede intentar clonar el repositorio de git y luego iniciar el proyecto sin conexión

git clone https://github.com/vuejs-templates/simple ~/.vue-templates/simple
vue init simple my-project --offline
cd my-project
npm install
npm run dev

Créditos https://github.com/vuejs/vue-cli/issues/ 258 # issuecomment-325021153

5
Bogdan Matkovsky 28 feb. 2018 a las 03:59

El problema aquí parece ser el entorno en el que está intentando descargar la plantilla. ¿Está utilizando un proxy? Una solución es bifurcar la plantilla que desea, y luego iniciar vue en esa plantilla, pero no puedo decir si esto funciona para todos los casos.

Bifurque la plantilla deseada, en su caso webpack de https://github.com/vuejs-templates/webpack

Y luego simplemente inicie usando vue init yourGithubUsername/webpack

1
DobleL 28 feb. 2018 a las 03:44

Alguien encontró el mismo problema que el tuyo, haciendo referencia a este problema, es muy Es probable que esté detrás de VPN, intente ejecutar esto en su lugar:

npm config set npm_config_strict_ssl=false
vue init webpack my-project
0
Dmitri Algazin 24 sep. 2018 a las 16:20